org.apache.hadoop.fs

## Interface PartHandle

- All Superinterfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface PartHandle
      extends Serializable

  Opaque, serializable reference to a part id for multipart uploads.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `bytes()`
    `boolean` | `equals(Object other)`
    `default byte[]` | `toByteArray()`

- - ### Method Detail

    - #### toByteArray

          default byte[] toByteArray()

      Returns:
        Serialized from in bytes.

    - #### bytes

          ByteBuffer bytes()

    - #### equals

          boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

Copyright © 2022 Apache Software Foundation. All rights reserved.